import type { AvatarSize, EmojiData, Snowflake } from "../util/types.common";
/** Represents a Discord emoji. */
export declare class Emoji {
    /** The ID of the emoji. - Custom emojis only. */
    id?: Snowflake;
    /** The name of the emoji. - Unicode if built-in. */
    name: string;
    /** Whether the emoji is animated. - Custom emojis only. */
    animated?: boolean;
    constructor(emoji: EmojiData);
    get url(): string | null;
    dynamicURL(size?: AvatarSize): string | null;
}
