"use strict";
// #region Imports
Object.defineProperty(exports, "__esModule", { value: true });
exports.Emoji = void 0;
// Local constants
const constants_1 = require("../util/constants");
// #endregion
/** Represents a Discord emoji. */
class Emoji {
    constructor(emoji) {
        this.id = emoji.id;
        this.name = emoji.name;
        this.animated = emoji.animated;
    }
    get url() {
        if (!this.id)
            return null;
        const format = this.animated ? "gif" : "png";
        return constants_1.ROUTER.cdn.emoji(this.id, format);
    }
    dynamicURL(size = 128) {
        if (this.url)
            return this.url + `?size=${size}`;
        return null;
    }
}
exports.Emoji = Emoji;
