"use strict";
// #region Imports
Object.defineProperty(exports, "__esModule", { value: true });
exports.ROUTER = exports.USER_AGENT = exports.CDN_URL = exports.BASE_URL = void 0;
// #endregion
const pkg = require("../../package.json");
exports.BASE_URL = "/api/v10";
exports.CDN_URL = "https://cdn.discordapp.com";
exports.USER_AGENT = (() => {
    const { version, repository } = pkg;
    if (typeof repository === "object" && "url" in repository) {
        return `DiscordBot (${repository.url}, ${version})`;
    }
    return `DiscordBot (${repository}, ${version})`;
})();
exports.ROUTER = {
    api: {
        webhook: (id, token) => `/webhooks/${id}/${token}`,
        webhookMessage: (id, token, messageID) => `/webhooks/${id}/${token}/messages/${messageID}`,
    },
    cdn: {
        avatar: (userID, avatar, format = "png", size = 128) => `${exports.CDN_URL}/avatars/${userID}/${avatar}.${format}?size=${size}`,
        defaultAvatar: (discriminator) => `${exports.CDN_URL}/embed/avatars/${discriminator}.png`,
        emoji: (emojiID, format) => `${exports.CDN_URL}/emojis/${emojiID}.${format}`,
    },
};
