"use strict";
// #region Imports
Object.defineProperty(exports, "__esModule", { value: true });
exports.AllowedMentionType = exports.MessageFlags = void 0;
/**
 * Only `SUPPRESS_EMBEDS` is supported in MessageOptions#flags
 * @see https://discord.dev/resources/channel#message-object-message-flags
 */
var MessageFlags;
(function (MessageFlags) {
    // This message has been published to subscribed channels (via Channel Following)
    MessageFlags[MessageFlags["CROSSPOSTED"] = 1] = "CROSSPOSTED";
    // Do not include any embeds when serializing this message
    MessageFlags[MessageFlags["SUPPRESS_EMBEDS"] = 4] = "SUPPRESS_EMBEDS";
    MessageFlags[MessageFlags["HAS_THREAD"] = 32] = "HAS_THREAD";
    MessageFlags[MessageFlags["FAILED_TO_MENTION_SOME_ROLES_IN_THREAD"] = 256] = "FAILED_TO_MENTION_SOME_ROLES_IN_THREAD";
})(MessageFlags = exports.MessageFlags || (exports.MessageFlags = {}));
var AllowedMentionType;
(function (AllowedMentionType) {
    AllowedMentionType["ROLES"] = "roles";
    AllowedMentionType["USERS"] = "users";
    AllowedMentionType["EVERYONE"] = "everyone";
})(AllowedMentionType = exports.AllowedMentionType || (exports.AllowedMentionType = {}));
