/// <reference types="node" />
import type { Agent } from "node:https";
import type { Snowflake } from "./types.common";
export interface WebhookOptions {
    id: Snowflake;
    token: string;
    autoFetch?: boolean;
    requestTimeout?: number;
    agent?: Agent;
    ratelimiterOffset?: number;
    latencyThreshold?: number;
}
/**
 * Webhook type is always 'Incoming', as such, it is not included in the interface.
 * @see https://discord.dev/resources/webhook#webhook-object-webhook-types
 */
export declare type WebhookData = {
    id: Snowflake;
    token: string;
    name: string;
    channel_id: string;
    guild_id?: string;
    application_id?: string;
} & EditWebhookOptions;
export declare type EditWebhookOptions = {
    avatar?: string;
    name?: string;
};
export declare type PartialWebhookMessageOptions = {
    username: string;
    avatar_url: string;
};
